<!DOCTYPE html>

<html lang="en">
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
    </head>
    <body>
        <div class="ui container">
            <br />
            <h2>All Questions</h2>
            <a href="/">Ask question</a>
            <table class="ui celled table">
                <thead>
                <tr>
                    <th>Author</th>
                    <th>Question</th>
                    <th>Added at</th>
                </tr>
                </thead>
                <tbody id="table-content">
                </tbody>
            </table>
        </div>
    </body>

    <script type="text/javascript">
        var tableContent = document.getElementById("table-content");
        fetch("/questions").then(function (response) {
            return response.json();
        }).then(function (data) {
            data.forEach(function (q, i) {
                var name = q.name;
                var question = q.question;
                var addedAt = q.addedAt;
                var template = `
                    <td nowrap>
                        <h4 class="ui image header">
                            <img width="50" height="50" src="https://picsum.photos/50/50/?random&hash=${Math.random() * 100000}" class="ui mini rounded image">
                            <div class="content">${name}</div>
                        </h4>
                    </td>
                    <td>
                        ${question}
                    </td>
                    <td nowrap>
                        ${addedAt}
                    </td>
                `;
                var row = document.createElement('tr');
                row.insertAdjacentHTML('beforeend', template);
                tableContent.appendChild(row);
            })
        });
    </script>

</html>